org.codehaus.plexus.compiler.util.scan

## Class AbstractSourceInclusionScanner

- java.lang.Object
- - org.codehaus.plexus.compiler.util.scan.AbstractSourceInclusionScanner

- All Implemented Interfaces:
    SourceInclusionScanner
  Direct Known Subclasses:
    SimpleSourceInclusionScanner, StaleSourceScanner

      public abstract class AbstractSourceInclusionScanner
      extends Object
      implements SourceInclusionScanner

  Version:
    $Id$
  Author:
    jdcasey

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSourceInclusionScanner()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSourceMapping(SourceMapping sourceMapping)`
    `protected List<SourceMapping>` | `getSourceMappings()`
    `protected String[]` | `scanForSources(File sourceDir, Set<String> sourceIncludes, Set<String> sourceExcludes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.plexus.compiler.util.scan.SourceInclusionScanner

      `getIncludedSources`

- - ### Constructor Detail

    - #### AbstractSourceInclusionScanner

          public AbstractSourceInclusionScanner()

  - ### Method Detail

    - #### addSourceMapping

          public final void addSourceMapping(SourceMapping sourceMapping)

      Specified by:
        `addSourceMapping` in interface `SourceInclusionScanner`

    - #### getSourceMappings

          protected final List<SourceMapping> getSourceMappings()

    - #### scanForSources

          protected String[] scanForSources(File sourceDir,
                                Set<String> sourceIncludes,
                                Set<String> sourceExcludes)

Copyright © 2015. All rights reserved.